org.keycloak.exportimport

## Class ExportImportConfig

- java.lang.Object
- - org.keycloak.exportimport.ExportImportConfig

-     public class ExportImportConfig
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION`
    `static String` | `ACTION_EXPORT`
    `static String` | `ACTION_IMPORT`
    `static Strategy` | `DEFAULT_STRATEGY`
    `static UsersExportStrategy` | `DEFAULT_USERS_EXPORT_STRATEGY`
    `static Integer` | `DEFAULT_USERS_PER_FILE`
    `static String` | `DIR`
    `static String` | `FILE`
    `static String` | `PREFIX`
    `static String` | `PROVIDER`
    `static String` | `PROVIDER_DEFAULT`
    `static String` | `REALM_NAME`
    `static String` | `STRATEGY`
    `static String` | `USERS_EXPORT_STRATEGY`
    `static String` | `USERS_PER_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportImportConfig()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getAction()`
    `static String` | `getDir()`
    `static String` | `getFile()`
    `static String` | `getProvider()`
    `static String` | `getRealmName()`
    `static Strategy` | `getStrategy()`
    `static UsersExportStrategy` | `getUsersExportStrategy()`
    `static Integer` | `getUsersPerFile()`
    `static void` | `setAction(String exportImportAction)`
    `static String` | `setDir(String dir)`
    `static void` | `setFile(String file)`
    `static void` | `setProvider(String exportImportProvider)`
    `static void` | `setRealmName(String realmName)`
    `static void` | `setUsersExportStrategy(UsersExportStrategy usersExportStrategy)`
    `static void` | `setUsersPerFile(Integer usersPerFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### ACTION

          public static final String ACTION

      See Also:
        Constant Field Values

    - #### ACTION_EXPORT

          public static final String ACTION_EXPORT

      See Also:
        Constant Field Values

    - #### ACTION_IMPORT

          public static final String ACTION_IMPORT

      See Also:
        Constant Field Values

    - #### PROVIDER

          public static final String PROVIDER

      See Also:
        Constant Field Values

    - #### PROVIDER_DEFAULT

          public static final String PROVIDER_DEFAULT

      See Also:
        Constant Field Values

    - #### REALM_NAME

          public static final String REALM_NAME

      See Also:
        Constant Field Values

    - #### DIR

          public static final String DIR

      See Also:
        Constant Field Values

    - #### FILE

          public static final String FILE

      See Also:
        Constant Field Values

    - #### USERS_EXPORT_STRATEGY

          public static final String USERS_EXPORT_STRATEGY

      See Also:
        Constant Field Values

    - #### DEFAULT_USERS_EXPORT_STRATEGY

          public static final UsersExportStrategy DEFAULT_USERS_EXPORT_STRATEGY

    - #### USERS_PER_FILE

          public static final String USERS_PER_FILE

      See Also:
        Constant Field Values

    - #### DEFAULT_USERS_PER_FILE

          public static final Integer DEFAULT_USERS_PER_FILE

    - #### STRATEGY

          public static final String STRATEGY

      See Also:
        Constant Field Values

    - #### DEFAULT_STRATEGY

          public static final Strategy DEFAULT_STRATEGY

  - ### Constructor Detail

    - #### ExportImportConfig

          public ExportImportConfig()

  - ### Method Detail

    - #### getAction

          public static String getAction()

    - #### setAction

          public static void setAction(String exportImportAction)

    - #### getProvider

          public static String getProvider()

    - #### setProvider

          public static void setProvider(String exportImportProvider)

    - #### getRealmName

          public static String getRealmName()

    - #### setRealmName

          public static void setRealmName(String realmName)

    - #### getDir

          public static String getDir()

    - #### setDir

          public static String setDir(String dir)

    - #### getFile

          public static String getFile()

    - #### setFile

          public static void setFile(String file)

    - #### getUsersExportStrategy

          public static UsersExportStrategy getUsersExportStrategy()

    - #### setUsersExportStrategy

          public static void setUsersExportStrategy(UsersExportStrategy usersExportStrategy)

    - #### getUsersPerFile

          public static Integer getUsersPerFile()

    - #### setUsersPerFile

          public static void setUsersPerFile(Integer usersPerFile)

    - #### getStrategy

          public static Strategy getStrategy()

Copyright © 2016 JBoss by Red Hat. All rights reserved.